package ru.ulstu.extractor.ts;

import org.springframework.stereotype.Component;
import ru.ulstu.extractor.model.TimeSeriesValue;
import ru.ulstu.extractor.service.TimeSeriesService;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Component
public class IssuesTS extends AbstractTimeSeriesCreator {
    private final TimeSeriesService timeSeriesService;

    public IssuesTS(TimeSeriesService timeSeriesService) {
        this.timeSeriesService = timeSeriesService;
    }

    @Override
    public String getTimeSeriesName() {
        return "Количество issues созданных во времени";
    }

    @Override
    public Map<String, List<TimeSeriesValue>> getTimeSeriesValues(Integer repositoryId, String branchName) {
        return new HashMap<>();
    }

    @Override
    public TimeSeriesService getTimeSeriesService() {
        return timeSeriesService;
    }
}
